Content API for Shopping-এর মাধ্যমে, আপনি আপনার মার্চেন্টদের জন্য একটি ইন-অ্যাপ ডায়াগনস্টিকস পেজ তৈরি করতে merchantsupport রিসোর্সটি ব্যবহার করতে পারেন। Merchant API-তে Issue resolution-এর সুবিধা রয়েছে, যা একই কার্যকারিতা সমর্থন করে।
সংক্ষিপ্ত বিবরণ
When migrating from Content API, observe the following that there are changes to the service and method names and structures:
- এপিআই রেসপন্সের সবচেয়ে উল্লেখযোগ্য পরিবর্তন হলো
AccountIssueএবংProductIssueঅবজেক্টগুলোকে একত্রিত করে একটিমাত্রRenderedIssueঅবজেক্টে পরিণত করা। এটি সব ধরনের ইস্যুর জন্য একটি সামঞ্জস্যপূর্ণ কাঠামো প্রদান করে আপনার কোডকে সরল করবে। - Merchant API renames the
issuesfield asrendered_issues.
শনাক্তকারী
Change your Content API identifiers as follows for Merchant API.
| পদ্ধতি | কেনাকাটার জন্য কন্টেন্ট এপিআই | মার্চেন্ট এপিআই |
|---|---|---|
renderaccountissues | {merchant_id} | accounts/{ACCOUNT_ID} |
renderproductissues | {PRODUCT_ID} | accounts/{ACCOUNT_ID}/products/{PRODUCT_ID} |
TriggerAction | {merchant_id} | accounts/{ACCOUNT_ID} |
অনুরোধ
Change your Content API requests as follows for Merchant API.
| পদক্ষেপ | কেনাকাটার জন্য কন্টেন্ট এপিআই | মার্চেন্ট এপিআই |
|---|---|---|
| একটি অ্যাকাউন্টের জন্য অ্যাকাউন্ট-স্তরের সমস্যাগুলি রেন্ডার করুন | POST https://shoppingcontent.googleapis.com/content/v2.1/ MERCHANT_ID /merchantsupport/renderaccountissues | POST https://merchantapi.googleapis.com/issueresolution/v1/accounts/ ACCOUNT_ID :renderaccountissues |
| একটি পণ্যের রেন্ডার সমস্যা | POST https://shoppingcontent.googleapis.com/content/v2.1/ MERCHANT_ID /merchantsupport/renderproductissues/ PRODUCT_ID | POST https://merchantapi.googleapis.com/issueresolution/v1/accounts/ ACCOUNT_ID /products/ PRODUCT_ID :renderproductissues |
| ট্রিগার অ্যাকশন | POST https://shoppingcontent.googleapis.com/content/v2.1/ MERCHANT_ID /merchantsupport/triggeraction | https://merchantapi.googleapis.com/issueresolution/v1/accounts/ ACCOUNT_ID :triggeraction |
এপিআই রেসপন্সের সবচেয়ে উল্লেখযোগ্য পরিবর্তন হলো AccountIssue এবং ProductIssue অবজেক্টগুলোকে একত্রিত করে একটিমাত্র RenderedIssue অবজেক্টে পরিণত করা। এটি সব ধরনের ইস্যুর জন্য একটি সামঞ্জস্যপূর্ণ কাঠামো প্রদান করে আপনার কোডকে সরল করবে।
ক্ষেত্রগুলির নাম পরিবর্তন করুন
The new name for the top-level issues field in the response is renderedIssues . It contains a list of RenderedIssue objects.
| কেনাকাটার জন্য কন্টেন্ট এপিআই | মার্চেন্ট এপিআই |
|---|---|
issues | renderedIssues |
নতুন নাম দেওয়া মডেল
| কেনাকাটার জন্য কন্টেন্ট এপিআই | মার্চেন্ট এপিআই |
|---|---|
| RenderedIssue |